Get a list of customers
curl --request GET \
--url https://b.anny.co/api/v1/customers \
--header 'Authorization: Bearer <token>'import requests
url = "https://b.anny.co/api/v1/customers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://b.anny.co/api/v1/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "customers",
"attributes": {
"uuid": "<string>",
"number": "<string>",
"locale": "<string>",
"title": "<string>",
"given_name": "<string>",
"family_name": "<string>",
"full_name": "<string>",
"sex": "<string>",
"birth_date": "<string>",
"email": "<string>",
"email_status": "<string>",
"mobile": "<string>",
"phone": "<string>",
"company": "<string>",
"custom_entry_map": {},
"settings": {},
"created_at": "<string>"
},
"links": {
"self": "<string>"
},
"relationships": {
"address": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"delivery_address": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"business": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"custom_entries": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"orders": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"model_identifiers": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"subscriptions": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"communities": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"community_invites": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"document_acceptances": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"files": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
}
},
"meta": {
"has_account": true,
"external_id": "<string>",
"idp_user_id": "<string>"
}
}
}Customer Management
Get a list of customers
GET
/
api
/
v1
/
customers
Get a list of customers
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Abfrageparameter
Comma-separated. Allowed: customer_account, communities, model_identifiers, custom_field_values, business, business.logo_image, business.billing_address, delivery_address
Allowed: first_name, last_name, email, created_at
Full-text search across name, email, and phone
Filter by exact email address
Filter by exact mobile number (E.164 format, e.g. +491701234567)
Filter by community UUID
Filter by custom field values. See the custom field filter syntax.
Organization ID
Antwort
OK
A customer who makes bookings. Can be created by admins or through the booking flow.
Show child attributes
Show child attributes
⌘I